#ifndef _STAT_TEXT_H_
#define _STAT_TEXT_H_

#include "../ComTypes.h"
#include "../ComDefs.h"
#include "WinMngr.h"

typedef struct tWinStaticText {
  tWindow Window;
  const char* pText;
  uint32 BackgroundColor;
  uint32 TextColor;
  uint TextStrLen;
  const uchar* pFont8x16;
} tWinStaticText;

extern void InitWindowStaticText (tWinStaticText* pWindow,
                                  int x1, int y1, int x2, int y2,
                                  const char* pText,
                                  uint32 BackgroundColor, uint32 TextColor,
                                  const uchar pFont8x16[256*16]);

#endif // _STAT_TEXT_H_
